
Summary:       An audio sample stretching utility
Name:          paulstretch
Version:       2.2.2
Release:       6%{?dist}
License:       GPLv2+ and BSD
Group:         Applications/Multimedia
URL:           http://hypermammut.sourceforge.net/%{name}
Source0:       http://downloads.sourceforge.net/hypermammut/files/%{name}-2.2-2.tar.bz2
# desktop file submitted upstream
Source1:       %{name}.desktop
Source2:       %{name}.png
# remove dependance on bad library - submitted upstream (by email)
Patch0:        paulstretch-nomp3.patch
# FSF address patch of sources - submitted upstream via email
Patch1:        paulstretch-fsf.patch

BuildRequires: desktop-file-utils 
BuildRequires: audiofile-devel
BuildRequires: portaudio-devel
BuildRequires: fftw-devel
BuildRequires: libsamplerate-devel
BuildRequires: fltk-devel
BuildRequires: fltk-fluid
BuildRequires: libvorbis-devel
BuildRequires: libogg-devel
BuildRequires: alsa-lib-devel 
BuildRequires: zlib-devel
BuildRequires: mxml-devel
BuildRequires: jack-audio-connection-kit-devel

%description
%{name} is a program for stretching the audio. It is suitable only for 
extreme sound stretching of the audio (like 50x) and for applying 
special effects by "spectral smoothing" the sounds. It can transform 
any sound/music to a texture.

%prep
%setup -q -n %{name}-2.2-2
%patch0 -p1 
%patch1 -p1
sed -i -e "s|HAVE_MAD|HAVE_NO_MAD|" GUI.fl

%build
fluid -c GUI.fl 
fluid -c FreeEditUI.fl

g++ -ggdb GUI.cxx FreeEditUI.cxx *.cpp Output/*.cpp \
 Input/V*.cpp Input/A*.cpp  \
 `fltk-config --cflags` `fltk-config --ldflags` %{optflags} \
 -laudiofile -lvorbis -logg -lmxml -lz -lfftw3f -lvorbisenc \
 -lvorbisfile -lportaudio -lpthread -lmxml \
 `pkg-config --cflags --libs jack samplerate` \
 -DHAVE_JACK -DENABLE_RESAMPLING \
 -o %{name}

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 %{name} %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications    \
  %{SOURCE1}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/

%files
%doc readme.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct 14 2012 Brendan Jones <brendan.jones.it@gmail.com> 2.2.2-4
- Rebuilt with new audiofile-0.3.4

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul 04 2012 Brendan Jones <brendan.jones.it@gmail.com> 2.2.2-2
- Add FSF address patch, correct license

* Wed Oct 26 2011 Brendan Jones <brendan.jones.it@gmail.com> - 2.2.2-1
- Initial RPM

